Jump to menu

Vote down?

  1. Sara

    “it’s way past time to upgrade (I’d be genuinely interested to hear of a reason why you couldn’t – you get that with IE6 a lot, but not FF2).”

    My mom is stuck with FF2 because her Mac only has OS X 10.3 on it. I really need to upgrade it to Tiger for her soon. It surprised me that she couldn’t get FF3, but then I realized that she’s 3+ years behind on the OS.